<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrInspectionResultsMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrInspectionResults">
            <result property="checkresid" column="CHECKRESID" jdbcType="VARCHAR"/>
            <result property="insenterid" column="INSENTERID" jdbcType="VARCHAR"/>
            <result property="raninsplanid" column="RANINSPLANID" jdbcType="VARCHAR"/>
            <result property="raninsplanname" column="RANINSPLANNAME" jdbcType="VARCHAR"/>
            <result property="raninstaskid" column="RANINSTASKID" jdbcType="VARCHAR"/>
            <result property="raninstaskname" column="RANINSTASKNAME" jdbcType="VARCHAR"/>
            <result property="raninstype" column="RANINSTYPE" jdbcType="VARCHAR"/>
            <result property="raninstypename" column="RANINSTYPENAME" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="uniscid" column="UNISCID" jdbcType="VARCHAR"/>
            <result property="regno" column="REGNO" jdbcType="VARCHAR"/>
            <result property="entname" column="ENTNAME" jdbcType="VARCHAR"/>
            <result property="insauthcode" column="INSAUTHCODE" jdbcType="VARCHAR"/>
            <result property="insauth" column="INSAUTH" jdbcType="VARCHAR"/>
            <result property="insdate" column="INSDATE" jdbcType="DATE"/>
            <result property="raninsitem" column="RANINSITEM" jdbcType="VARCHAR"/>
            <result property="raninsitemname" column="RANINSITEMNAME" jdbcType="VARCHAR"/>
            <result property="raninscheckres" column="RANINSCHECKRES" jdbcType="VARCHAR"/>
            <result property="raninscheckresname" column="RANINSCHECKRESNAME" jdbcType="VARCHAR"/>
            <result property="remark" column="REMARK" jdbcType="VARCHAR"/>
            <result property="pubdate" column="PUBDATE" jdbcType="DATE"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        CHECKRESID,INSENTERID,RANINSPLANID,
        RANINSPLANNAME,RANINSTASKID,RANINSTASKNAME,
        RANINSTYPE,RANINSTYPENAME,PRIPID,
        UNISCID,REGNO,ENTNAME,
        INSAUTHCODE,INSAUTH,INSDATE,
        RANINSITEM,RANINSITEMNAME,RANINSCHECKRES,
        RANINSCHECKRESNAME,REMARK,PUBDATE,
        S_EXT_DATATIME
    </sql>
</mapper>
